# $Revision: 1.24 $, $Date: 2001/11/26 06:23:41 $
Summary:	wmmail - a "mail-checker" for WindowMaker
Summary(pl):	wmmail - program do sprawdzania poczty dla WindowMakera
Name:		wmmail
Version:	0.64
Release:	1
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://ww.eecg.utoronto.ca/~chanb/WMMail.app/WMMail.app-%{version}.tar.gz
Source1:	%{name}.desktop
URL:		http://www.eecg.toronto.edu/cgi-bin/cgiwrap/chanb/index.cgi?wmmail
BuildRequires:	XFree86-devel
BuildRequires:	libPropList-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
wmmail is a "mail-checker" like xbiff. It is largely based on asmail,
but has been modified to work with WindowMaker instead of AfterStep.

%description -l pl
wmmail jest programem do sprawdzania poczty, podobnie jak xbiff.
Oparty jest w znacznej mierze na programie asmail, zmodyfikowanym w
sposb umoliwiajcy prac programu w rodowisku WindowMakera.

%prep
%setup -q -n WMMail.app-%{version}

%build
aclocal
autoconf
%configure

%{__make} EXTRA_LIBRARIES="-lSM -lICE" CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/{pixmaps,sounds} \
	$RPM_BUILD_ROOT{%{_mandir}/man1,%{_bindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}/man1 

install src/WMMail $RPM_BUILD_ROOT%{_bindir}/
install doc/wmmail.man $RPM_BUILD_ROOT%{_mandir}/man1/wmmail.1
#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf README ChangeLog doc/Help.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz doc/*.gz
%attr(755,root,root) %{_bindir}/*
%dir %{_prefix}/GNUstep/Apps/WMMail.app
%{_prefix}/GNUstep/Apps/WMMail.app/Anims/*
%{_prefix}/GNUstep/Apps/WMMail.app/Defaults/*
%{_prefix}/GNUstep/Apps/WMMail.app/Sounds/*
%{_mandir}/man1/*
#%{_applnkdir}/DockApplets/wmmail.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmmail.spec,v $
Revision 1.24  2001/11/26 06:23:41  kloczek
- somplifications in %build.

Revision 1.23  2001/11/25 15:41:30  blues
- 0.64
- changed to ac/am
- rewritten
- removed outdated patches
- URL updated

Revision 1.22  2001/11/25 14:43:04  blues
- release 4

Revision 1.21  2001/11/21 02:20:17  blues
- modified files
NOTE: URL is dead

Revision 1.20  2001/08/22 17:37:49  filon
- removed stripping executables, it's done by rpm automation

Revision 1.19  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.18  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.17  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.14  1999/11/27 02:59:15  pius
- added using more rpm macros
- cosmetics

Revision 1.13  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.12  1999/09/04 08:55:09  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.11  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 15 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.59-2]
- initial release for PLD,
- package is FHS 2.0 compliant.
